# get_approval

Whether the person has approved a held action yet.

Whether the person has approved a held action yet.

| | |
|---|---|
| REST operation | [`getApproval`](/reference/rest/safety/#getapproval) (`GET /v1/approvals/{approvalId}`) |
| Needs a device | no |
| Read only | yes |
| Profiles | `full` |

## Parameters

| Name | Required | Type | Goes to | What it is |
|---|---|---|---|---|
| `approval_id` | yes | string | path `approvalId` |  |

## Example call

```text
get_approval({ approval_id: … })
```